- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_hash.h File Reference

Axis2 Hash Tables. More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Defines
#define | AXIS2_HASH_KEY_STRING (unsigned int)(-1)
## Typedefs
typedef struct axutil_hash_t | axutil_hash_t
typedef struct axutil_hash_index_t | axutil_hash_index_t
typedef unsigned int(* | axutil_hashfunc_t )(const char *key, axis2_ssize_t *klen)
## Functions
unsigned int | axutil_hashfunc_default (const char *key, axis2_ssize_t *klen)
AXIS2_EXTERN axutil_hash_t * | axutil_hash_make (const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axutil_hash_make_custom (const axutil_env_t *env, axutil_hashfunc_t hash_func)
AXIS2_EXTERN axutil_hash_t * | axutil_hash_copy (const axutil_hash_t *ht, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_hash_set (axutil_hash_t *ht, const void *key, axis2_ssize_t klen, const void *val)
AXIS2_EXTERN void * | axutil_hash_get (axutil_hash_t *ht, const void *key, axis2_ssize_t klen)
AXIS2_EXTERN axutil_hash_index_t * | axutil_hash_first (axutil_hash_t *ht, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_index_t * | axutil_hash_next (const axutil_env_t *env, axutil_hash_index_t *hi)
AXIS2_EXTERN void | axutil_hash_this (axutil_hash_index_t *hi, const void **key, axis2_ssize_t *klen, void **val)
AXIS2_EXTERN unsigned int | axutil_hash_count (axutil_hash_t *ht)
AXIS2_EXTERN axutil_hash_t * | axutil_hash_overlay (const axutil_hash_t *overlay, const axutil_env_t *env, const axutil_hash_t *base)
AXIS2_EXTERN axutil_hash_t * | axutil_hash_merge (const axutil_hash_t *h1, const axutil_env_t *env, const axutil_hash_t *h2, void *(*merger)(const axutil_env_t *env, const void *key, axis2_ssize_t klen, const void *h1_val, const void *h2_val, const void *data), const void *data)
AXIS2_EXTERN axis2_bool_t | axutil_hash_contains_key (axutil_hash_t *ht, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN void | axutil_hash_free (axutil_hash_t *ht, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_hash_free_void_arg (void *ht_void, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_hash_set_env (axutil_hash_t *ht, const axutil_env_t *env)

## Detailed Description

Axis2 Hash Tables.